## python-anyqt 0.2.0

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help
help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  applehelp  to make an Apple Help Book"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"
	@echo "  coverage   to run coverage check of the documentation (if enabled)"

.PHONY: clean
clean:
	rm -rf $(BUILDDIR)/*

.PHONY: html
html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

.PHONY: dirhtml
dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

.PHONY: singlehtml
singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

.PHONY: pickle
pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

.PHONY: json
json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

.PHONY: htmlhelp
htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

.PHONY: qthelp
qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/AnyQt.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/AnyQt.qhc"

.PHONY: applehelp
applehelp:
	$(SPHINXBUILD) -b applehelp $(ALLSPHINXOPTS) $(BUILDDIR)/applehelp
	@echo
	@echo "Build finished. The help book is in $(BUILDDIR)/applehelp."
	@echo "N.B. You won't be able to view it unless you put it in" \
	      "~/Library/Documentation/Help or install it in your application" \
	      "bundle."

.PHONY: devhelp
devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/AnyQt"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/AnyQt"
	@echo "# devhelp"

.PHONY: epub
epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

.PHONY: latex
latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

.PHONY: latexpdf
latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

.PHONY: latexpdfja
latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

.PHONY: text
text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

.PHONY: man
man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

.PHONY: texinfo
texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

.PHONY: info
info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

.PHONY: gettext
gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

.PHONY: changes
changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

.PHONY: linkcheck
linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

.PHONY: doctest
doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

.PHONY: coverage
coverage:
	$(SPHINXBUILD) -b coverage $(ALLSPHINXOPTS) $(BUILDDIR)/coverage
	@echo "Testing of coverage in the sources finished, look at the " \
	      "results in $(BUILDDIR)/coverage/python.txt."

.PHONY: xml
xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

.PHONY: pseudoxml
pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

## python-anyqt 0.1.0

=== debian/changelog ===
python-anyqt (0.1.0-3) unstable; urgency=medium

  * Exclude ppc64el from autopkgtest due to lack of test
    dependency (python3-pyside2.qtwebenginewidgets). 

 -- Neil Williams <codehelp@debian.org>  Thu, 31 Mar 2022 08:09:12 +0100

python-anyqt (0.1.0-2) unstable; urgency=medium

  * Source only upload

 -- Neil Williams <codehelp@debian.org>  Tue, 29 Mar 2022 12:03:30 +0100

python-anyqt (0.1.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Neil Williams ]
  * Bump debhelper from old 11 to 13.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * New upstream release.  (Closes: #911116)
  * Add Salsa CI support
  * Add autopkgtest support
  * d.copyright - Limit to GPL-3 only

 -- Neil Williams <codehelp@debian.org>  Mon, 28 Mar 2022 14:19:15 +0100

python-anyqt (0.0.9-1) unstable; urgency=medium

  * Initial packaging

 -- Steffen Moeller <moeller@debian.org>  Mon, 15 Oct 2018 22:10:16 +0200

=== debian/control ===
Source: python-anyqt
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Steffen Moeller <moeller@debian.org>,
 Neil Williams <codehelp@debian.org>,
Build-Depends: debhelper-compat (= 13),
 dh-python,
 python3-all,
 python3-setuptools,
 python3-sphinx <!nodoc>,
Standards-Version: 4.6.0
Homepage: https://anyqt.readthedocs.io
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-anyqt
Vcs-Git: https://salsa.debian.org/python-team/packages/python-anyqt.git

Package: python3-anyqt
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}
Suggests: python-anyqt-doc
Description: PyQt/PySide compatibility layer for Qt4/Qt5/Qt6.
 The package allows the programmer to program equally for two different
 versions of Qt:
  * At the top level AnyQt exports a Qt5 compatible module namespace along with
    some minimal renames to better support portability between different
    versions
  * Which Qt API/backend is chosen can be controlled by a QT_API env variable
  * The api can be chosen/forced programmatically (as long as no
    PyQt4/PyQt5/PySide/PySide2 was already imported)
  * Provides an optional compatibility import hook, that denys imports from
    conflicting Qt api, or intercepts and fakes a Qt4 api imports, to use a Qt5
    compatible API (some monkey patching is involved).
 .
 This package installs the library for Python 3.

Package: python-anyqt-doc
Architecture: all
Section: doc
Multi-Arch: foreign
Depends: ${sphinxdoc:Depends}, ${python3:Depends}, ${misc:Depends}
Description: PyQt/PySide compatibility layer for Qt4/Qt5/Qt6.
 The package allows the programmer to program equally for two different
 versions of Qt:
  * At the top level AnyQt exports a Qt5 compatible module namespace along with
    some minimal renames to better support portability between different
    versions
  * Which Qt API/backend is chosen can be controlled by a QT_API env variable
  * The api can be chosen/forced programmatically (as long as no
    PyQt4/PyQt5/PySide/PySide2 was already imported)
  * Provides an optional compatibility import hook, that denys imports from
    conflicting Qt api, or intercepts and fakes a Qt4 api imports, to use a Qt5
    compatible API (some monkey patching is involved).
 .
 This is the AnyQt documentation package.

=== debian/tests/control ===
Tests: pytests
Depends: @, python3-pytest, python3-pytest-xvfb, libpyside2-dev, python3-pyqt5, python3-pyside2.qtcore, python3-pyside2.qtmultimediawidgets, python3-pyside2.qtwebsockets, python3-pyside2.qtxml, python3-pyside2.qtwebenginewidgets, python3-pyside2.qttest, python3-pyside2.qtqml, python3-pyside2.qtxmlpatterns, python3-pyside2.qtsvg, python3-pyside2.qtsql, python3-pyside2.qtopengl, python3-pyside2.qthelp, python3-pyqt5.qtmultimedia, python3-pyqt5.qtopengl, python3-pyqt5.qtpositioning, python3-pyqt5.qtquick, python3-pyqt5.qtsensors, python3-pyqt5.qtserialport, python3-pyqt5.qtsql, python3-pyqt5.qtsvg, python3-pyqt5.qttexttospeech, python3-pyqt5.qtwebchannel, python3-pyqt5.qtwebengine, python3-pyqt5.qtwebkit, python3-pyqt5.qtwebsockets, python3-pyqt5.qtxmlpatterns
Restrictions: allow-stderr
Architecture: amd64, arm64, armhf, i386

## python-anyqt 0.2.0

=== debian/changelog ===
python-anyqt (0.2.0-4) unstable; urgency=medium

  * Team upload.
  * Remove python3-pyqt5.qtwebkit from the autopkgtest dependencies
    (see #1093549).

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 24 Jan 2025 19:22:05 +0300

python-anyqt (0.2.0-3) unstable; urgency=medium

  * Team upload.
  * Port to Sphinx 8.0 (closes: #1090131).

 -- Colin Watson <cjwatson@debian.org>  Mon, 23 Dec 2024 22:33:15 +0000

python-anyqt (0.2.0-2) unstable; urgency=medium

  * Source-only upload (no changes).

 -- Roland Mas <lolando@debian.org>  Wed, 02 Aug 2023 14:53:10 +0200

python-anyqt (0.2.0-1) unstable; urgency=medium

  * New upstream release.
  * Add myself to uploaders.

 -- Roland Mas <lolando@debian.org>  Tue, 01 Aug 2023 20:41:04 +0200

python-anyqt (0.1.0-4) UNRELEASED; urgency=medium

  * Trim trailing whitespace.
  * Update standards version to 4.6.1, no changes needed.

 -- Debian Janitor <janitor@jelmer.uk>  Thu, 20 Oct 2022 21:14:22 -0000

=== debian/control ===
--- 
+++ 
@@ -3,13 +3,13 @@
 Priority: optional
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Steffen Moeller <moeller@debian.org>,
- Neil Williams <codehelp@debian.org>,
+ Roland Mas <lolando@debian.org>
 Build-Depends: debhelper-compat (= 13),
  dh-python,
  python3-all,
  python3-setuptools,
  python3-sphinx <!nodoc>,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Homepage: https://anyqt.readthedocs.io
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-anyqt
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-anyqt.git

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

export PYBUILD_NAME=anyqt

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_test:
	# done in autopkgtest due to the dependency chain requirements.
	true

override_dh_auto_build: export http_proxy=127.0.0.1:9
override_dh_auto_build: export https_proxy=127.0.0.1:9

override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=. python3 -m sphinx -N -bhtml docs/source/ build/html
	$(RM) build/html/objects.inv

=== debian/tests/control ===
Tests: pytests
Depends: @, python3-pytest, python3-pytest-xvfb, libpyside2-dev, python3-pyqt5, python3-pyside2.qtcore, python3-pyside2.qtmultimediawidgets, python3-pyside2.qtwebsockets, python3-pyside2.qtxml, python3-pyside2.qtwebenginewidgets, python3-pyside2.qttest, python3-pyside2.qtqml, python3-pyside2.qtxmlpatterns, python3-pyside2.qtsvg, python3-pyside2.qtsql, python3-pyside2.qtopengl, python3-pyside2.qthelp, python3-pyqt5.qtmultimedia, python3-pyqt5.qtopengl, python3-pyqt5.qtpositioning, python3-pyqt5.qtquick, python3-pyqt5.qtsensors, python3-pyqt5.qtserialport, python3-pyqt5.qtsql, python3-pyqt5.qtsvg, python3-pyqt5.qttexttospeech, python3-pyqt5.qtwebchannel, python3-pyqt5.qtwebengine, python3-pyqt5.qtwebsockets, python3-pyqt5.qtxmlpatterns
Restrictions: allow-stderr
Architecture: amd64, arm64, armhf, i386
